' ********************************************************************************************************
' LB79 TDL Manager v1.1
' LB79 AddThisNewText.vbs

' This script will add a new bulletpoint and note to the end of the specified text file. You can specify
' the text file you wish to use by changing the "SelectedDataPath" field as required (see LINE 15)
' ********************************************************************************************************

set WSHShell = CreateObject("Wscript.Shell")
set FSO = CreateObject("Scripting.FileSystemObject")

'SamurizePath = WSHShell.RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")

'Change the quoted path to suit your needs.
	SelectedDataPath = "Z:\My Documents\Dropbox\LB79 TDL Manager v1.1\LB79 TDL File.txt"


' *********************************************************************************
' ** MAIN CODE: Don't edit this section unless you know what you're doing folks! **
' ********************************************************************************* 

ThisNewText = Trim(InputBox("What would you like to add to the list?", "LB79 TDL Manager | Add Note"))

if (Len(ThisNewText)) then
   REM // replace double-spaces with single-spaces
   Do Until (InStr(1, ThisNewText, "  ") = 0)
      ThisNewText = replace(ThisNewText, "  ", " ")
   Loop

   if (FSO.FileExists(SelectedDataPath)) then
      set ThisTextFile = FSO.GetFile(SelectedDataPath)

      if (ThisTextfile.Size < 1) then
         set TextFileData = FSO.CreateTextFile(SelectedDataPath)
         TextFileData.Write(" " & ThisNewText & vbCrLf)
         TextFileData.Close
      else
         set TextFileData = FSO.OpenTextFile(SelectedDataPath)
         PreviousText = TextFileData.ReadAll
	    TextFileData.Close
         set TextFileData = FSO.CreateTextFile(SelectedDataPath)
         TextFileData.Write(PreviousText)
	    TextFileData.Write(" " & ThisNewText & vbCrLf)
         TextFileData.Close
      end if
   else
      set CreateNotes = FSO.CreateTextFile(SelectedDataPath)
      CreateNotes.Write(" " & ThisNewText & vbCrLf)
      CreateNotes.Close
   end if

   WSHShell.SendKeys "^%r"
end if

' **********************
' ** END OF MAIN CODE **
' **********************